---
name: "getCustomizePosition"
mode: "api"
versionRequirements:
  - { name: "@ray-js/ray", version: "1.5.2" }
title: "getCustomizePosition - Get Device Custom Location"
---

## getCustomizePosition

> [VERSION] @ray-js/ray >= 1.5.2

### Description

Retrieve custom device location information

### Parameters

`Params`

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `params` | `IGetCustomizePosition` | Yes | Request parameters |

### Return Value

Type: `Promise<IGetCustomizePositionResponse>`

Location object containing lon (longitude) and lat (latitude)

##### IGetCustomizePositionResponse

| Property | Type | Description |
| --- | --- | --- |
| `lon` | `string` | Longitude |
| `lat` | `string` | Latitude |

### Referenced Types

##### `interface` IGetCustomizePosition

| Property | Type | Description |
| --- | --- | --- |
| `devId` | `string` | Device ID |


### Examples

#### Basic usage

```ts
import { getCustomizePosition } from '@ray-js/ray';

getCustomizePosition({
  devId: 'your_device_id',
}).then((response) => {
  console.log('Location info:', response);
}).catch((err) => {
  console.error(err);
});
```
